<nav>
  <div class="w-full flex flex-wrap items-center justify-between mx-auto py-4">
    <div class="flex items-center space-x-8">
      <a href="https://flowbite.com/" class="flex items-center">
        <img
          src="https://flowbite.com/docs/images/logo.svg"
          class="h-6 mr-3"
          alt="Flowbite Logo"
          />
        <span class="self-center text-xl font-semibold whitespace-nowrap"
          >Flowbite</span
          >
        </a>
        <ul class="flex space-x-6">
          <li>
            <a
              routerLink="/"
              routerLinkActive="underline"
              [routerLinkActiveOptions]="{ exact: true }"
              class="block hover:underline"
              aria-current="page"
              >Home</a
              >
            </li>
            <li>
              <a
                routerLink="/about"
                routerLinkActive="underline"
                class="block hover:underline"
                >About</a
                >
              </li>
              <li>
                <a
                  routerLink="/services"
                  routerLinkActive="underline"
                  class="block hover:underline"
                  >Services</a
                  >
                </li>
              </ul>
            </div>
            <div class="flex items-center">
              <button class="p-2 border rounded relative" (click)="toogleSideMenu()">
                <div
                  class="absolute -top-2 -left-2 rounded h-5 w-5 bg-black text-white text-xs"
                  >
                  {{ cart().length }}
                </div>
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  fill="none"
                  viewBox="0 0 24 24"
                  stroke-width="1.5"
                  stroke="currentColor"
                  class="w-6 h-6"
                  >
                  <path
                    stroke-linecap="round"
                    stroke-linejoin="round"
                    d="M2.25 3h1.386c.51 0 .955.343 1.087.835l.383 1.437M7.5 14.25a3 3 0 00-3 3h15.75m-12.75-3h11.218c1.121-2.3 2.1-4.684 2.924-7.138a60.114 60.114 0 00-16.536-1.84M7.5 14.25L5.106 5.272M6 20.25a.75.75 0 11-1.5 0 .75.75 0 011.5 0zm12.75 0a.75.75 0 11-1.5 0 .75.75 0 011.5 0z"
                    />
                </svg>
              </button>
            </div>
          </div>
        </nav>
        <div
          class="fixed border-l-4 top-0 right-0 bg-red z-40 w-72 h-screen p-4 overflow-y-auto transition-transform bg-white"
          [class.translate-x-full]="hideSideMenu()"
          >
          <div class="flex justify-between items-center">
            <p class="text-xl">My Cart</p>
            <button (click)="toogleSideMenu()">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                fill="none"
                viewBox="0 0 24 24"
                stroke-width="1.5"
                stroke="currentColor"
                class="w-6 h-6"
                >
                <path
                  stroke-linecap="round"
                  stroke-linejoin="round"
                  d="M6 18L18 6M6 6l12 12"
                  />
              </svg>
            </button>
          </div>
          <div class="pt-4 flex flex-col">
            @for (product of cart(); track product) {
              <div
                class="flex justify-between items-center space-y-2"
                >
                <div class="flex space-x-2 items-center">
                  <img class="w-6 h-6" [src]="product.images[0]" [alt]="product.title" />
                  <h3>{{ product.title }}</h3>
                </div>
                <p>{{ product.price }}</p>
              </div>
            }
            <div>
              <p>Total: {{ total() }}</p>
            </div>
          </div>
        </div>
        